Summary:        A Xlib-compatible API for the Present extension
Name:           libXpresent
Version:        1.0.1
Release:        1%{?dist}
License:        MIT
URL:            https://www.x.org
Source0:        https://xorg.freedesktop.org/archive/individual/lib/libXpresent-%{version}.tar.gz

BuildRequires:  make autoconf automake libtool
BuildRequires:  xorg-x11-util-macros
BuildRequires:  gettext
BuildRequires:  pkgconfig(xproto) pkgconfig(presentproto) pkgconfig(xextproto)
BuildRequires:  pkgconfig(x11) pkgconfig(xext) pkgconfig(xfixes) pkgconfig(xrandr)

%description
This package contains header files for the Present extension, its library and server 
implementations are separate.

%package        devel
Summary:        Development files for libXpresent
Requires:       libXpresent = %{version}-%{release}

%description    devel
This package provides header files and libraries for developing applications that 
use libXpresent.

%prep
%autosetup

%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%license COPYING
%doc AUTHORS ChangeLog README.md
%{_libdir}/libXpresent.so.1
%{_libdir}/libXpresent.so.1.0.0

%files devel
%{_includedir}/X11/extensions/Xpresent.h
%{_libdir}/libXpresent.so
%{_libdir}/pkgconfig/xpresent.pc
%{_mandir}/man3/*.3*

%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 1.0.1-1
- Upgrade to version 1.0.1

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Sep 5 2022 Wang Guodong <gordonwwang@tencent.com> - 1.0.0-1
- package init.
